package fr.doap.jdb.utils;

public class DBWOC extends WeakObjectCache {
	
	public DBWOC setNextID(int aNextID) {
		mNextID =aNextID;
		return this;
	}
	
	public int nextID() { return mNextID; }
	
	public int addNew(Object aObject) {
		int lID = getId(aObject);
		if (lID == -1) {
			lID = mNextID;
			put(lID, aObject);
			mNextID++;
		}
		return lID;
	}
	
	
	protected int mNextID;
}
